# Get a managed card statement (legacy) (deprecated)

Deprecated in favour of [GET /managed_cards/{id}/statements](https://api.weavr.io/products/multi/openapi/managed-cards/managedcardstatement#tag/Managed-Cards/operation/managedCardStatements), which provides an authoritative, immutable statement of record for an instrument over a period, as explained in our [changelog](https://docs.weavr.io/changelog/2026/06/23/multi/release-113/).
This endpoint returns a list of transactions (in our legacy format) for a managed card, identified by the `id` path parameter, matching the criteria provided in the request.

Endpoint: GET /deprecated/managed_cards/{id}/statement
Version: v3
Security: auth_token, api-key

## Path parameters:

  - `id` (string, required)
    The unique identifier of a managed card.

## Query parameters:

  - `offset` (integer)
    The offset value for paging, indicating the initial item number to be returned from the data set satisfying the given criteria. Leave out to fetch the first page of results.

  - `statementLimit` (integer)
    The limit of the results for statements paging, starting at the offset. Limit is capped at 500.

  - `orderByTimestamp` (string)
    Orders the result in ascending or descending order.
  - ASC: Ascending order, oldest transactions first.
  - DESC: Descending order, most recent transactions first.

If not specified, the transactions will be returned in descending order.

  - `fromTimestamp` (integer)
    Filter for transactions having transaction timestamp after `fromTimestamp`. Timestamp is expressed in Epoch timestamp using millisecond precision. If omitted, all matching transactions up to the present will be included.

  - `toTimestamp` (integer)
    Filter for transactions having transaction timestamp before `toTimestamp`. Timestamp is expressed in Epoch timestamp using millisecond precision. If omitted, all matching transactions up to the present will be included. If both `fromTimestamp` and `toTimestamp` are provided, `toTimestamp` must be greater than `fromTimestamp`.

  - `singleEntryPerTransaction` (boolean)
    Returns transactions that span multiple movements as a single entry.
Only includes transactions that have been completed.
Defaults to true for PDF statements, false otherwise.
Note: due to the fact that only completed transactions are included, some
transactions that are in progress and have modified the balance of the instrument
will not be shown, which could lead to seemingly inconsistent balance being displayed.

  - `transactionType` (array)
    Filter by the transaction type. Leave out to fetch all entries.

## Header parameters:

  - `accept` (string)
    A request parameter specifying the type of response the client would like. Must be one of `application/json`, `application/pdf` or `text/csv`.

The default response type (`application/json`) will be returned if specified incorrectly or not specified.

## Response 200 fields (application/json):

  - `entry` (array)

  - `entry.transactionId` (object, required)

  - `entry.transactionId.type` (string, required)
    Enum: "AUTHORISATION", "SETTLEMENT", "MANUAL_TRANSACTION", "TRANSFER", "SEND", "DEPOSIT", "AUTHORISATION_REVERSAL", "AUTHORISATION_EXPIRY", "AUTHORISATION_DECLINE", "AUTHORISATION_MANUAL_CLOSE", "MERCHANT_REFUND", "MERCHANT_REFUND_REVERSAL", "ORIGINAL_CREDIT_TRANSACTION", "SETTLEMENT_REVERSAL", "ADJUSTMENT", "CHARGE_FEE", "WITHDRAWAL_RESERVE", "WITHDRAWAL_RELEASE", "FEE_REVERSAL", "OUTGOING_WIRE_TRANSFER", "AUTHORISATION_CANCELLATION", "SYSTEM_TRANSACTION", "OUTGOING_DIRECT_DEBIT_COLLECTION", "OUTGOING_DIRECT_DEBIT_REFUND", "LINKED_ACCOUNT_VERIFICATION_TRANSFER", "INCOMING_WIRE_TRANSFER", "FUNDING", "TEST_FUNDING", "CORRESPONDENT_BANK_TRANSFER"

  - `entry.transactionId.id` (string, required)

  - `entry.entryState` (string, required)
    The transaction entry state, as follows:
- PENDING: The transaction has started and some of the fund movements have completed, however additional fund movements are still pending to finalise the transaction.
- COMPLETED: All fund movements for a transaction have completed.
    Enum: "PENDING", "COMPLETED"

  - `entry.originalAmount` (object)
    The object representing a monetary amount in a particular currency.

  - `entry.originalAmount.currency` (string, required)
    The currency expressed in ISO-4217 code. Example: GBP, EUR, USD.

  - `entry.originalAmount.amount` (integer, required)
    The monetary amount, scaled to the lowest denomination of the currency.

Example, an amount of 1000 for a EUR currency is actually 1000 Euro cents or EUR 10.00.

  - `entry.forexRate` (object)
    A floating point number, represented as a value and its scale. Its actual value can be obtained using the equation: value * pow(10, -scale).

  - `entry.forexRate.value` (integer)

  - `entry.forexRate.scale` (integer)

  - `entry.processedTimestamp` (integer, required)
    The timestamp when the transaction was processed by the system, expressed in Epoch timestamp using millisecond precision.

  - `entry.userCurrencyTransactionDetails` (object)
    The object representing the user transaction's currency, amount and rate.

  - `entry.userCurrencyTransactionDetails.userExchangeRate` (string, required)

  - `count` (integer)
    The total number of records (excluding the paging limit).

  - `responseCount` (integer)
    The total number of records returned in this response.

  - `footer` (string)
    The footer description for the current statement

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 403 fields (application/json):

  - `errorCode` (string)
    Enum: "STEP_UP_REQUIRED", "ACCESS_TOKEN_REQUIRED", "INSUFFICIENT_PERMISSIONS"

## Response 404 fields (application/json):

  - `code` (string)

  - `message` (string)

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)

